<template>
	<view>
		<view class="user-header dflex">
			<image class="header-pic" :src="info.avatar?info.avatar:'../../static/images/userimg.png'"></image>
			<view>
				<view class="user-name">{{info.nickName}}</view>
				<view class="ddflex">
					<block v-if="info.labelName&&info.labelName.length>0">
						<view class="user-tag user-tag-t" v-for="it,idx in info.labelName" :key="idx+'l'">{{it}}</view>
					</block>
				</view>
			</view>
		</view>
		
		<view class="form">
			<view class="form-title">客户资料</view>
			<view class="ddflex form-item">
				<view class="form-label">销售员工号</view>
				<view class="form-data fflex">{{info.manageSaleNo?info.manageSaleNo:'-'}}</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">姓名</view>
				<view class="form-data fflex">{{info.realName?info.realName:'-'}}</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">性别</view>
				<view class="form-data fflex">{{info.gender==1?'男':info.gender==2?'女':'-'}}</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">联系电话</view>
				<view class="form-data ddflex fflex">
					<view class="fflex ddflex">
						<text>{{info.mobile?styTelTextFn(info.mobile):'-'}}</text>
						<image v-if="info.mobile" style="width: 27rpx;height: 27rpx;margin-left: 10rpx;" src="../static/images/copy.png" @click="copy(info.mobile)"></image>
					</view>
					<view v-if="info.mobile" class="ddflex form-btn" @click.stop="callPhone(info.mobile)">
						<image style="width: 22rpx;height: 22rpx;margin-right: 10rpx;" src="../../static/pages/images/phone1.png"></image>
						联系
					</view>
				</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">客户类别</view>
				<view class="form-data fflex">
					<block v-if="info.customTypeName&&info.customTypeName.length>0">{{info.customTypeName.join(',')}}</block>
				</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">客户来源</view>
				<view class="form-data fflex">小程序</view>
			</view>
			<!-- <view class="ddflex form-item">
				<view class="form-label">网格地址编码</view>
				<view class="form-data fflex">-</view>
			</view> -->
			<view class="ddflex form-item">
				<view class="form-label">保单</view>
				<view class="form-data fflex">{{info.warrantyCount?info.warrantyCount:0}}</view>
			</view>
			<view class="ddflex form-item">
				<view class="form-label">共计保费</view>
				<view class="form-data fflex">{{info.warrantyMoney?info.warrantyMoney:0}}元</view>
			</view>
			<view class="dflex form-item" v-if="info.associationProduct&&info.associationProduct.length>0">
				<view class="form-label">关联产品</view>
				<view class="form-data fflex">
					<view style="margin-bottom: 8rpx;" v-for="it,idx in info.associationProduct" :key="idx">{{it}}</view>
				</view>
			</view>
			<!-- <view class="form-title" style="margin-top: 50rpx;">经营服务策略</view>
			<view class="c-info">
				刺激消费频率
			</view> -->
		</view>

	</view>
</template>

<script>
	const app = getApp();
	const req = require("../../utils/request.js");
	const utils = require("../../utils/util.js")
	export default {
		components: {},
		props: {},
		data() {
			return {
				id:'',
				info:{}
			}
		},
		onLoad(options) {
			this.id = options.id
			this.getDetail()
		},
		onShow() {
			
		},
		methods: {
			getDetail(){
				req.getRequest('/api/user/getUserInfoBySaleNo',{userId:this.id},res=>{
					this.info = res
				})
			},
			styTelTextFn(data){
				return utils.styTelText(data)
			},
			// 复制
			copy(val){
				uni.setClipboardData({
					data: val,
					complete() {
						req.msg('复制成功')
					}
				})
			},
			// 拨打电话
			callPhone(val) {
				if(!val) return false
			    uni.makePhoneCall({
			        phoneNumber: val
			    });
			},
		},
		mounted() {
		},
	}
</script>

<style>
	@import "./clientDetail.css";
</style>